Index: fspace.c
--- fspace.c.orig	2004-04-08 03:11:40 +0200
+++ fspace.c	2005-09-26 16:02:18 +0200
@@ -132,7 +132,7 @@
 			.ovarglist = ovarglist, .dflt_args = 0,
 			.xargs = intdup (xargs), .flagz = flagz, .used = used
 		};
-		union ival u = { .p p };
+		union ival u = { .p = p };
 		intadd (SF, e, u);
 		return p;
 	}
Index: global.h
--- global.h.orig	2004-05-12 18:55:59 +0200
+++ global.h	2005-09-26 15:44:02 +0200
@@ -7,8 +7,8 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <sys/mman.h>
 #include <sys/types.h>
+#include <sys/mman.h>
 #include <sys/stat.h>
 #include <fcntl.h>
 #include <unistd.h>
Index: hier.c
--- hier.c.orig	2004-05-05 06:26:07 +0200
+++ hier.c	2005-09-26 15:53:28 +0200
@@ -609,7 +609,7 @@
 {
 	funcp *p;
 
-	for ((funcp*)p = S->v.p; p; p = p->next)
+	for (p = S->v.p; p; p = p->next)
 		if ((p->flagz & FUNCP_VIRTUAL) && p->prototype) {
 			vf_args args;
 			Token *pr;
Index: rexpr.c
--- rexpr.c.orig	2004-05-11 09:10:50 +0200
+++ rexpr.c	2005-09-26 16:02:08 +0200
@@ -897,6 +897,7 @@
 }
 
 /* * * * * * * * Feature: delete * * * * * * * */
+static Token *rewr_fcall (bexpr*, rewrret*);
 static Token *rewr_delete (bexpr *e, rewrret *r)
 {
 	typeID argt [] = { 0, INTERNAL_ARGEND };
@@ -910,7 +911,6 @@
 
 	if (isstructptr (r->t)
 	&& lookup_function_member (base_of (r->t), RESERVED_dtor, argt, &F, true)) {
-		static Token *rewr_fcall (bexpr*, rewrret*);
 
 		rewrret R = INIT_RWR;
 		Token *ne = mallocint (intlen (sv) + 8);
@@ -2309,7 +2309,7 @@
 static Token *cpoint_rewrite_expression (Token *e, rewrret *R)
 {
 	Token *r;
-	struct declexpr D = { .c 0, .off = (dexpr ? dexpr->c + dexpr->off + 1 : 0) }, *Dp = &D;
+	struct declexpr D = { .c = 0, .off = (dexpr ? dexpr->c + dexpr->off + 1 : 0) }, *Dp = &D;
 
 	SAVE_VAR (dexpr, Dp);
 	open_local_scope ();
Index: vtbl.ch
--- vtbl.ch.orig	2004-05-05 06:28:18 +0200
+++ vtbl.ch	2005-09-26 15:51:48 +0200
@@ -636,7 +636,7 @@
 	if (!structs [r].vtis)
 		Here_virtualtable (o, r, InlineAllVt, ConstVtables);
 	else {
-		vlookup V = { .iid -1 };
+		vlookup V = { .iid = -1 };
 		lookup_virtual_f (r, fname, t, &V);
 		if (V.status == VTI_STATUS_NI && !has_vtable (r))
 		Here_virtualtable (o, r, InlineAllVt, ConstVtables);
@@ -651,7 +651,7 @@
 	if (debugflag.VIRTUALTABLES)
 	PRINTF ("\n++ENTER VIRTUAL: ["COLS"%s"COLE"] (%s)\n", expand (args->fname), SNM(args->r));
 #endif
-	vlookup V = { .iid -1 };
+	vlookup V = { .iid = -1 };
 	lookup_virtual_f (args->r, args->fname, args->ftype, &V);
 
 	// [3]
@@ -1415,7 +1415,7 @@
 /* <classname>.<member> syntax */
 vtvar access_virtual_variable (recID r, Token m)
 {
-	vtvar		ret = { .t -1 };
+	vtvar		ret = { .t = -1 };
 	Token		have = -1;
 	int		i;
 	initID		ii;
